##
##  libpixman.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         libpixman
Summary:      Cairo Pixel Manipulation Library
URL:          http://cairographics.org/
Vendor:       The Cairo Project
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        XWindow
License:      MIT-style
Version:      0.46.0
Release:      20250430

#   list of sources
Source0:      http://cairographics.org/releases/pixman-%{version}.tar.gz
Patch0:       libpixman.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, meson, ninja
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Pixman is the pixel manipulation library of the Cairo project.
    It provides pixel region and image compositing APIs.

%track
    prog libpixman = {
        version   = %{version}
        url       = http://cairographics.org/releases/
        regex     = pixman-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n pixman-%{version}
    %patch -p0

%build
    export CC="%{l_cc}"
    export CFLAGS="%{l_cflags -O}"
    meson build \
        --prefix %{l_prefix} \
        --buildtype release \
        --default-library static \
        --backend ninja
    ninja -C build

%install
    DESTDIR=$RPM_BUILD_ROOT ninja -C build install
    mv  $RPM_BUILD_ROOT%{l_prefix}/share/pkgconfig \
        $RPM_BUILD_ROOT%{l_prefix}/lib/pkgconfig
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

